## snapd 2.21

=== debian/changelog ===
snapd (2.21-2) unstable; urgency=medium

  * Modify snap-confine's apparmor rules to work on Debian when apparmor is
    enabled on the kernel command line.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 25 Jan 2017 10:26:51 +1300

snapd (2.21-1) unstable; urgency=medium

  * New upstream release.
  * Disable i18n so the package can build in stretch without new packages.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 16 Jan 2017 11:15:32 +1300

snapd (2.20-2) unstable; urgency=medium

  * Replace unversioned Conflicts on snap package with versioned
    Breaks/Replaces, now that snap has dropped /usr/bin/snap.
    Closes: #849162.

 -- Steve Langasek <vorlon@debian.org>  Sun, 25 Dec 2016 17:50:25 -0600

snapd (2.20-1) unstable; urgency=medium

  * New upstream release.
  * Update one test (cmd/snap/cmd_interfaces_test.go) to cope with the newer
    golang-go-flags-dev in unstable.
  * Explicitly include 'udev' in Build-Depends.
  * Add tzdata to Build-Depends to avoid ftbfs. (Closes: #848754)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 19 Dec 2016 11:43:55 +1300

snapd (2.16-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * New upstream release.
  * Import gopkg.in/cheggaaa/pb.v1 rather than github.com/cheggaaa/pb.
  * Switch to unconditional conflict against `snap` (Closes: #826884)
  * Update Vcs-Git and Vcs-Browser to point to alioth. 

  [ Steve Langasek ]
  * Remove govendor from gbp.conf, and import Ubuntu tarball as our
    orig.tar.gz (switching our packaging to non-native).
  * Add Uploaders.
  * Drop lintian overrides not used in Debian because we dynamically link
    against golang-yaml.v2.
  * Bump standards-version, no changes required.
  * Add/fix various lintian overrides.

 -- Steve Langasek <vorlon@debian.org>  Wed, 02 Nov 2016 12:14:52 +0000

snapd (2.0.8+1) unstable; urgency=medium

  * New upstream release.
  * Update lintian-overrides for new paths.
  * debian/copyright: fix a typo (thanks, lintian!)

 -- Steve Langasek <vorlon@debian.org>  Fri, 10 Jun 2016 23:17:22 +0000

snapd (2.0.5+1) unstable; urgency=medium

  * Initial Debian upload.  Closes: #824943.
  * release/release{,_test}.go: use /etc/os-release, which is guaranteed to
    be part of base-files on both Ubuntu and Debian, instead of
    /etc/lsb-release which doesn't exist at all on Debian.
  * drop transitional packages, not needed in Debian.
  * Add lintian overrides for false-positive detection of embedded libyaml.
  * Update Vcs-* fields to point at maintainer's branch.
  * Add a further lintian override for the /snap directory so that the
    package is not automatically rejected by the NEW queue; this directory
    location is certainly subject to discussion for Debian, but let's have
    the discussion rather than blocking the package at the archive level.

 -- Steve Langasek <vorlon@debian.org>  Mon, 23 May 2016 00:36:06 +0000
