=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: snapd
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steve Langasek <vorlon@debian.org>
+Uploaders: Michael Hudson-Doyle <michael.hudson@ubuntu.com>,
+	Zygmunt Krynicki <me@zygoon.pl>,
+	Luke Faraone <lfaraone@debian.org>
 Build-Depends: autoconf,
                automake,
                autotools-dev,
@@ -14,23 +17,42 @@
                fakeroot,
                gettext,
                gnupg2,
+               golang-check.v1-dev,
+               golang-context-dev,
+               golang-github-coreos-go-systemd-dev,
+               golang-github-gorilla-mux-dev,
+               golang-github-gosexy-gettext-dev,
+               golang-github-mvo5-goconfigparser-dev,
+               golang-github-mvo5-uboot-go-dev,
+               golang-go,
+               golang-go-flags-dev,
+               golang-golang-x-crypto-dev,
+               golang-golang-x-net-dev,
+               golang-gopkg-tomb.v2-dev (>= 0.0~git20161208.0.d5d1b58-1),
+               golang-gopkg-cheggaaa-pb.v1-dev,
+               golang-websocket-dev,
+               golang-yaml.v2-dev,
+               golang-gopkg-macaroon.v1-dev,
+               golang-gopkg-retry.v1-dev,
+               golang-github-gosexy-gettext-dev,
                golang-any (>=2:1.6) | golang-1.6,
                indent,
                init-system-helpers,
                libapparmor-dev,
                libglib2.0-dev,
-               libseccomp-dev (>= 2.1.1-1ubuntu1~trusty3),
+               libseccomp-dev,
                libudev-dev,
                pkg-config,
                python3,
                python3-docutils,
                python3-markdown,
                squashfs-tools,
+               tzdata,
                udev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/snapcore/snapd
-Vcs-Browser: https://github.com/snapcore/snapd
-Vcs-Git: https://github.com/snapcore/snapd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/snapd.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/snapd.git
 
 Package: golang-github-ubuntu-core-snappy-dev
 Architecture: all
@@ -54,24 +76,19 @@
 Depends: adduser,
          apparmor (>= 2.10.95-0ubuntu2.2),
          ca-certificates,
-         cgroup-lite,
          gnupg1 | gnupg,
-         linux-generic-lts-xenial,
          snap-confine (= ${binary:Version}),
          squashfs-tools,
-# only needed on trusty to pull in the right version.
-         sudo (>= 1.8.9p5-1ubuntu1.3),
-         systemd (>= 204-5ubuntu20.20),
+         systemd,
          ubuntu-core-launcher (= ${binary:Version}),
-# only needed on trusty to pull in the right version.
-         util-linux (>=2.20.1-5.1ubuntu20.9),
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
-Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9)
-Conflicts: snap (<< 2013-11-29-1ubuntu1)
+Breaks: snap (<< 2013-11-29-5~)
+Replaces: snap (<< 2013-11-29-5~)
 Built-Using: ${misc:Built-Using}
 Description: Tool to interact with Ubuntu Core Snappy.
+ Manage an Ubuntu system with snappy.
+ .
  Install, configure, refresh and remove snap packages. Snaps are
  'universal' packages that work across many different Linux systems,
  enabling secure distribution of the latest apps and utilities for
@@ -79,27 +96,6 @@
  .
  This is the CLI for snapd, a background service that takes care of
  snaps on the system. Start with 'snap list' to see installed snaps.
-
-Package: ubuntu-snappy
-Architecture: all
-Depends: snapd, ${misc:Depends}
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
-
-Package: ubuntu-snappy-cli
-Architecture: all
-Depends: snapd, ${misc:Depends}
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
-
-Package: ubuntu-core-snapd-units
-Architecture: all
-Depends: snapd, ${misc:Depends}
-Section: oldlibs
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
 
 Package: snap-confine
 Architecture: any
