=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 endif
 
 %:
-	dh $@ --buildsystem=golang --with=golang --fail-missing --builddirectory=_build
+	dh $@ --buildsystem=golang --with=golang --fail-missing --with systemd --builddirectory=_build
 
 override_dh_fixperms:
 	dh_fixperms -Xusr/lib/snapd/snap-confine
@@ -114,6 +114,50 @@
 	# run the snap-confine tests
 	$(MAKE) -C cmd check
 endif
+
+override_dh_systemd_enable:
+	# enable auto-import
+	dh_systemd_enable \
+		-psnapd \
+		snapd.autoimport.service
+	# we want the auto-update timer enabled by default
+	dh_systemd_enable \
+		-psnapd \
+		snapd.refresh.timer
+	# but the auto-update service disabled
+	dh_systemd_enable \
+		--no-enable \
+		-psnapd \
+		snapd.refresh.service
+	# enable snapd
+	dh_systemd_enable \
+		-psnapd \
+		snapd.socket
+	dh_systemd_enable \
+		-psnapd \
+		snapd.service
+
+override_dh_systemd_start:
+	# we want to start the auto-update timer
+	dh_systemd_start \
+		-psnapd \
+		snapd.refresh.timer
+	# but not start the service
+	dh_systemd_start \
+		--no-start \
+		-psnapd \
+		snapd.refresh.service
+	# start snapd
+	dh_systemd_start \
+		-psnapd \
+		snapd.socket
+	dh_systemd_start \
+		-psnapd \
+		snapd.service
+	# start autoimport
+	dh_systemd_start \
+		-psnapd \
+		snapd.autoimport.service
 
 override_dh_install:
 	# we do not need this in the package, its just needed during build
@@ -138,24 +182,23 @@
 	if [ -d share/locale ]; then \
 		cp -R share/locale debian/snapd/usr/share; \
 	fi
-	if [ -f data/info ]; then \
-                mkdir -p debian/snapd/usr/lib/snapd; \
-		install --mode=0644 data/info debian/snapd/usr/lib/snapd; \
-	fi
 	# etc/profile.d contains the PATH extension for snap packages
 	mkdir -p debian/snapd/etc
 	cp -R etc/profile.d debian/snapd/etc
 	# etc/X11/Xsession.d will add to XDG_DATA_DIRS so that we have .desktop support
 	mkdir -p debian/snapd/etc
 	cp -R etc/X11 debian/snapd/etc
-	# we install snapd's systemd units
+	# we conditionally install snapd's systemd units
 	mkdir -p debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
 	install --mode=0644 debian/snapd.refresh.timer debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
 	install --mode=0644 debian/snapd.refresh.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
 	install --mode=0644 debian/snapd.autoimport.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
 	install --mode=0644 debian/*.socket debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
 	install --mode=0644 debian/snapd.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
-	install --mode=0644 debian/snap.mount.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)
+ifeq ($(RELEASE),trusty)
+	dh_link debian/snapd/$(SYSTEMD_UNITS_DESTDIR)/snapd.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)/multi-user.target.wants/snapd.service
+	dh_link debian/snapd/$(SYSTEMD_UNITS_DESTDIR)/snapd.autoimport.service debian/snapd/$(SYSTEMD_UNITS_DESTDIR)/multi-user.target.wants/snapd.autoimport.service
+endif
 	$(MAKE) -C cmd install DESTDIR=$(CURDIR)/debian/tmp
 	dh_install
