## snapd 2.26.8~14.04

=== data/systemd/Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 
 install: $(SYSTEMD_UNITS)
 	install -D -m 0644 -t ${DESTDIR}/${SYSTEMDSYSTEMUNITDIR} $^
+	install -D -m 0755 -t ${DESTDIR}/${LIBEXECDIR}/snapd snapd.core-fixup.sh
 
 clean:
 	rm -f ${SYSTEMD_UNITS_GENERATED}
