## snapd 2.27

=== debian/changelog ===
snapd (2.27-1~test) UNRELEASED; urgency=medium

  * New upstream release.
  * New changes to upstream sources:
    - Disable cmd/snap-seccomp tests as they depend on an unpackaged fork of 
      golang/x/net.
    - Use upstream version of libseccomp-golang.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 10 Aug 2017 21:03:57 +1200

snapd (2.27) xenial; urgency=medium

  * New upstream release, LP: #1703798
    - fix build failure on 32bit fedora
    - interfaces: add password-manager-service implicit classic interface
    - interfaces/greengrass-support: adjust accesses now that have working
      snap
    - interfaces/many, cmd/snap-confine: miscellaneous policy updates
    - interfaces/unity7: allow receiving media key events in (at least)
      gnome-shell
    - cmd: fix re-exec bug when starting from snapd 2.21
    - tests: restore interfaces-account-control properly
    - cmd: fix tests that assume /snap mount
    - cmd: mark arch as non-reexecing distro
    - snap-confine: don't share /etc/nsswitch from host
    - store: talk to api.snapcraft.io for purchases
    - hooks: support for install and remove hooks
    - packaging: fix Fedora support
    - tests: add bluetooth-control interface test
    - store: talk to api.snapcraft.io for assertions
    - tests: remove snapd before building from branch
    - tests: add avahi-observe interface test
    - store: orders API now checks if customer is ready
    - cmd/snap: snap find only searches stable
    - interfaces: updates default, mir, optical-observe, system-observe,
      screen-inhibit-control and unity7
    - tests: speedup prepare statement part 1
    - store: do not send empty refresh requests
    - asserts: fix error handling in snap-developer consistency check
    - systemd: add explicit sync to snapd.core-fixup.sh
    - snapd: generate snap cookies on startup
    - cmd,client,daemon: expose "force devmode" in sysinfo
    - many: introduce and use strutil.ListContains and also
      strutil.SortedListContains
    - assserts,overlord/assertstate: test we don't accept chains of
      assertions founded on a self-signed key coming externally
    - interfaces: enable access to bridge settings
    - interfaces: fix copy-pasted iio vs io in io-ports-control
    - cmd/snap-confine: various small fixes and tweaks to seccomp
      support code
    - interfaces: bring back seccomp argument filtering
    - systemd, osutil: rework systemd logs in preparation for services
      commands
    - tests: store /etc/systemd/system/snap-*core*.mount in snapd-
      state.tar.gz
    - tests: shellcheck improvements for tests/main tasks - first set of
      tests
    - cmd/snap: `--last` for abort and watch, and aliases
      (search→find, change→tasks)
    - tests: shellcheck improvements for tests/lib scripts
    - tests: create ramdisk if it's not present
    - tests: shellcheck improvements for nightly upgrade and regressions
      tests
    - snapd: fix for snapctl get panic on null config values.
    - tests: fix for rng-tools service not restarting
    - systemd: add snapd.core-fixup.service unit
    - cmd: avoid using current symlink in InternalToolPath
    - tests: fix timeout issue for test refresh core with hanging …
    - intefaces: control bridged vlan/ppoe-tagged traffic
    - cmd/snap: include snap type in notes
    - overlord/state: Abort() only visits each task once
    - tests: extend find-private test to cover more cases
    - snap-seccomp: skip socket() tests on systems that use socketcall()
      instead of socket()
    - many: support snap title as localized/title-cased name
    - snap-seccomp: deal with mknod on aarch64 in the seccomp tests
    - interfaces: put base policy fragments inside each interface
    - asserts: introduce NewDecoderWithTypeMaxBodySize
    - tests: fix snapd-notify when it takes more time to restart
    - snap-seccomp: fix snap-seccomp tests in artful
    - tests: fix for create-key task to avoid rng-tools service ramains
      alive
    - snap-seccomp: make sure snap-seccomp writes the bpf file
      atomically
    - tests: do not disable ipv6 on core systems
    - arch: the kernel architecture name is armv7l instead of armv7
    - snap-confine: ensure snap-confine waits some seconds for seccomp
      security profiles
    - tests: shellcheck improvements for tests/nested tasks
    - wrappers: add SyslogIdentifier to the service unit files.
    - tests: shellcheck improvements for unit tasks
    - asserts: implement FindManyTrusted as well
    - asserts: open up and optimize Encoder to help avoiding unnecessary
      copying
    - interfaces: simplify snap-confine by just loading pre-generated
      bpf code
    - tests: restart rng-tools services after few seconds
    - interfaces, tests: add mising dbus abstraction to system-observe
      and extend spread test
    - store: change main store host to api.snapcraft.io
    - overlord/cmdstate: new package for running commands as tasks.
    - spread: help libapt resolve installing libudev-dev
    - tests: show the IP from .travis.yaml
    - tests/main: use pkgdb function in more test cases
    - cmd,daemon: add debug command for displaying the base policy
    - tests: prevent quoting error on opensuse
    - tests: fix nightly suite
    - tests: add linode-sru backend
    - snap-confine: validate SNAP_NAME against security tag
    - tests: fix ipv6 disable for ubuntu-core
    - tests: extend core-revert test to cover bluez issues
    - interfaces/greengrass-support: add support for Amazon Greengrass
      as a snap
    - asserts: support timestamp and optional disabled header on repair
    - tests: reboot after upgrading to snapd on the -proposed pocket
    - many: fix test cases to work with different DistroLibExecDir
    - tests: reenable help test on ubuntu and debian systems
    - packaging/{opensuse,fedora}: allow package build with testkeys
      included
    - tests/lib: generalize RPM build support

